> ## Documentation Index
> Fetch the complete documentation index at: https://doc.agentfirst.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch content

> Retrieve the status of batch requests.



## OpenAPI

````yaml get /browser/batches
openapi: 3.1.0
info:
  title: Agent First
  description: The missing services for agent-first development.
  version: 1.0.0
servers:
  - url: https://api.agentfirst.dev
security:
  - bearerAuth: []
paths:
  /browser/batches:
    get:
      summary: Batch content
      description: Retrieve the status of batch requests.
      parameters:
        - name: id
          description: >-
            The identifier returned by the [batch browser endpoint](../batching)
            of the bulk requests to retrieve.
          schema:
            type: string
            format: uuid
            example: a0482596-c2ad-445a-a435-727002156a20
          in: query
          required: true
      responses:
        '200':
          description: The batch status.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchStatus'
        '401':
          $ref: '#/components/responses/authenticationError'
        '402':
          $ref: '#/components/responses/creditsError'
        '403':
          $ref: '#/components/responses/authorizationError'
        '422':
          $ref: '#/components/responses/paramsError'
        '500':
          $ref: '#/components/responses/unknownError'
components:
  schemas:
    BatchStatus:
      summary: Batch status
      type: object
      properties:
        id:
          description: The identifier to retrieve the batch job with.
          type: string
          format: uuid
          example: a0482596-c2ad-445a-a435-727002156a20
        status:
          description: The status of the batch job.
          allOf:
            - $ref: '#/components/schemas/Status'
        count:
          description: The number of batch requests.
          type: integer
          minimum: 1
          maximum: 1000
          example: 37
        successful:
          description: The number of successful requests in the batch.
          type: integer
          minimum: 0
          maximum: 1000
          example: 37
        failed:
          description: The number of failed requests in the batch.
          type: integer
          minimum: 0
          maximum: 1000
          example: 0
        url:
          description: >-
            The URL of the archived requests, which is available on job
            completion.
          type: string
          format: uri
          example: null
      required:
        - id
        - status
        - count
        - successful
        - failed
    Status:
      summary: Job status
      type: string
      enum:
        - retrieving
        - archiving
        - successful
        - failed
      example: retrieving
  responses:
    authenticationError:
      description: The authorization header was missing.
      content:
        text/plain:
          schema:
            type: string
            example: Authorization header must be provided
    creditsError:
      description: No more credits are available.
      content:
        text/plain:
          schema:
            type: string
            example: Credit balance is 0; top up at https://agentfirst.dev/#pricing
    authorizationError:
      description: The API token was invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Valid API token must be provided
    paramsError:
      description: One or more parameters were invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Character counts must be no more than 255
    unknownError:
      description: An unknown error occurred.
      content:
        text/plain:
          schema:
            type: string
            example: Unknown error occurred
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````